## rsbac-admin-1.3.1.tar.bz2

=== Makefile ===
#
# Nice make. Use make VERBOSE=1 to verbose compilation.
#
ifneq ($(VERBOSE), 1)
.SILENT:
E = @echo
else
E = @:
endif

all: 
	@echo "Welcome to RSBAC!"
	@echo "To compile all packages, type:"
	@echo "\`\`make build'"
	@echo 
	@echo "To install all packages, as administrator user, type:"
	@echo "\`\`make install' or \`\`make install-strip'"
	@echo 
	@echo "To uninstall all packages, as administrator user, type:"
	@echo "\`\`make uninstall'"
	@echo 
	@echo "To compile or install per package, type:"
	@echo "\`\`make <package>' or \`\`make <package>-install'"
	@echo 
	@echo "with package one of:"
	@echo 
	@echo " ---------------------------------------"
	@echo "|   headers libs nss pam rklogd tools   |"
	@echo " ---------------------------------------"
	@echo 
	@echo "Or change to the right directory and use the traditional"
	@echo "make; su; make install"
	@echo
	@echo "To disable User Management (UM) related packages use:"
	@echo "\`\`make build-no-um' then \`\`make inst-no-um' as admininistrator"
	@echo
	@echo "Type make <target> VERBOSE=1 to display compilation lines."
	@echo
	@echo "Be sure to read the \`\`INSTALL' and \`\`README' files for"
	@echo "more information."
	@echo 
	@echo "The RSBAC team - http://www.rsbac.org"


inst-no-um: headers-install libs-install rklogd-install tools-install

build-no-um: libs rklogd tools

build: libs pam rklogd tools nss
	
install: headers-install libs-install pam-install rklogd-install \
tools-install nss-install

install-strip: headers-install libs-install pam-install rklogd-install-strip \
tools-install-strip nss-install

uninstall: pam-uninstall rklogd-uninstall tools-uninstall nss-uninstall \
libs-uninstall headers-uninstall

clean: libs-clean pam-clean rklogd-clean tools-clean nss-clean

distclean : clean

# Display function
E = @echo;echo "$(1)";echo " -------------------------------------"

#
# Building
#

libs:
	$(call E, "Building RSBAC Libraries...")
	@make -C main/libs

nss: libs
	$(call E, "Building RSBAC NSS...")
	@make -C main/nss

pam: libs
	$(call E, "Building RSBAC PAM...")
	@make -C main/pam

rklogd: libs
	$(call E, "Building rklogd and rklogd-viewer...")
	@make -C main/rklogd

tools: libs
	$(call E, "Building RSBAC tools...")
	@make -C main/tools

#
# Installations
#

headers-install:
	$(call E, "Installing RSBAC headers...")
	@make install -C main/headers

libs-install: headers-install libs
	$(call E, "Installing RSBAC libraries...")
	@make install -C main/libs

nss-install: headers-install libs-install nss
	$(call E, "Installing RSBAC NSS...")
	@make install -C main/nss

pam-install: headers-install libs-install pam
	$(call E, "Installing RSBAC PAM...")
	@make install -C main/pam

rklogd-install: libs-install rklogd
	$(call E, "Installing rklogd and rklogd-viewer...")
	@make install -C main/rklogd

rklogd-install-strip: libs-install rklogd
	$(call E, "Installing rklogd and rklogd-viewer \(stripped\)...")
	@make install-strip -C main/rklogd

tools-install: headers-install libs-install tools
	$(call E, "Installing RSBAC tools...")
	@make install -C main/tools

tools-install-strip: headers-install libs-install tools
	$(call E, "Installing RSBAC tools \(stripped\)...")
	@make install-strip -C main/tools

#
# Uninstallations
#

headers-uninstall: nss-uninstall pam-uninstall tools-uninstall libs-uninstall
	$(call E, "Uninstalling RSBAC headers...")
	@-make uninstall -C main/headers

libs-uninstall: nss-uninstall pam-uninstall rklogd-uninstall tools-uninstall
	$(call E, "Uninstalling RSBAC libraries...")
	@-make uninstall clean -C main/libs

nss-uninstall:
	$(call E, "Uninstalling RSBAC NSS...")
	@-make uninstall clean -C main/nss

pam-uninstall:
	$(call E, "Uninstalling RSBAC PAM...")
	@-make uninstall clean -C main/pam

rklogd-uninstall:
	$(call E, "Uninstalling rklogd and rklogd-viewer...")
	@-make uninstall clean -C main/rklogd

tools-uninstall: libs-uninstall
	$(call E, "Uninstalling RSBAC tools...")
	@-make uninstall clean -C main/tools

#
# Cleaning
#

libs-clean:
	$(call E, "Cleaning RSBAC Libraries...")
	@make distclean -C main/libs

nss-clean:
	$(call E, "Cleaning RSBAC NSS...")
	@make distclean -C main/nss
	
pam-clean:
	$(call E, "Cleaning RSBAC PAM...")
	@make distclean -C main/pam
	
rklogd-clean:
	$(call E, "Cleaning rklogd and rklogd-viewer...")
	@make distclean -C main/rklogd
	
tools-clean:
	$(call E, "Cleaning RSBAC tools...")
	@make distclean -C main/tools

.PHONY: all build clean distclean

=== main/headers/Makefile ===
#!/usr/bin/make -f
# Licensed under the terms of the GPLv2
# Guillaume Destuynder <kang@rsbac.org>

#
# Configuration
#

INSTALL		:= install

DESTDIR		:= 
PREFIX		:= /usr/local
DIR_INC		:= $(PREFIX)/include/rsbac


FILES_HDR	:= $(wildcard rsbac/*.h)

#
# Nice make. Use make VERBOSE=1 to verbose compilation.
#
ifneq ($(VERBOSE), 1)
.SILENT:
E = @echo -e " "
else
E = @:
endif

#
# Targets
#

all: install

clean:

distclean: clean
	
install: $(FILES_HDR)
	$(E) "INTO\t\t$(DESTDIR) ($(PREFIX))"
	$(E) "DIR\t\t $(DESTDIR)/$(DIR_INC)"
	$(INSTALL) -d $(DESTDIR)/$(DIR_INC)
	$(foreach f, $(FILES_HDR), echo -e "  INSTALL\t$(f)"; \
	$(INSTALL) -m644 $(f) $(DESTDIR)/$(DIR_INC);)

uninstall:
	$(foreach f, $(FILES_HDR), echo -e "  UNINSTALL\t$(f)"; \
	rm $(DESTDIR)/$(DIR_INC)/$(f);)


.PHONY: all install uninstall clean distclean

=== main/libs/Makefile ===
#!/usr/bin/make -f
# Licensed under the terms of the GPLv2
# Guillaume Destuynder <kang@rsbac.org>

#
# Configuration
#

VERSION		:= 1.3.1
LIBVERSION 	:= 1

INSTALL		:= install
LIBTOOL 	:= libtool
CC		:= gcc

DESTDIR		:= 
PREFIX		:= /usr/local
DIR_LIBS	:= $(PREFIX)/lib
LOCALEDIR	:= $(PREFIX)/share/locale

RSBACLIB 	:= librsbac.la

NLS		:= 1

CFLAGS		:= -fPIC -O2 -fomit-frame-pointer
CFLAGS		+= -I../headers -I/usr/include -I/usr/local/include  \
		   -I$(PREFIX)/include
LDFLAGS		:=
DEFINES		:= -DPACKAGE=\"rsbac-admin\" \
                   -DVERSION=\"$(VERSION)\" \
		   -DLOCALEDIR=\"$(LOCALEDIR)\" \
		   -DENABLE_NLS=$(NLS)

QUIET 		:= > /dev/null

LIBS		:= 

ARCH            := $(shell uname -m | sed -e s/i.86/i386/ -e s/sun4u/sparc64/ \
		     -e s/arm.*/arm/ -e s/sa110/arm/ \
		     -e s/s390x/s390/ -e s/parisc64/parisc/ )

FILES_LIBS	:= $(wildcard helpers/*.c)

#
# Architecture checks
#

ASM_DIR		:= asm-arches/asm-$(ARCH)/unistd.h

CFLAGS		+= -include ./$(ASM_DIR)

#
# Nice make. Use make VERBOSE=1 to verbose compilation.
#
ifneq ($(VERBOSE), 1)
.SILENT:
E = @echo -e " "
else
QUIET =
E = @:
endif

#
# Targets
#

all: $(RSBACLIB)

$(RSBACLIB): $(FILES_LIBS)
	$(foreach f, $(FILES_LIBS), echo -e "  CC\t\t$(f)"; \
	$(LIBTOOL) --mode=compile $(CC) $(CFLAGS) $(LDFLAGS) $(DEFINES) -c $(f) $(QUIET) -o $(f:.c=.lo);)
	$(E) "LD\t\t$(RSBACLIB)"
	$(LIBTOOL) --mode=link $(CC) $(CFLAGS) $(LDFLAGS) $(DEFINES) $(LIBS) \
	-o $@ $(FILES_LIBS:.c=.lo) -rpath $(DIR_LIBS) -version-info $(LIBVERSION) \
	$(QUIET)
        
clean:
	$(E) "CLEAN\t\t$(RSBACLIB) librsbac.a"
	rm -f $(RSBACLIB) librsbac.a
	$(E) "CLEAN\t\tLibtool objects"
	rm -rf $(FILES_LIBS:.c=.lo) $(FILES_LIBS:.c=.o) helpers/.libs
	rm -rf .libs

distclean: clean
	
install: all
	$(E) "INTO\t\t$(DESTDIR) ($(PREFIX))"
	$(E) "DIR\t\t$(DIR_LIBS)"
	$(INSTALL) -d $(DESTDIR)/$(DIR_LIBS)
	$(E) "INSTALL\t$(RSBACLIB)"
	$(LIBTOOL) --mode=install install -c $(RSBACLIB) \
	$(DESTDIR)/$(DIR_LIBS)/$(RSBACLIB) $(QUIET)
	$(E) "LIBTOOL\t$(RSBACLIB)"
	$(LIBTOOL) -n --mode=finish $(DESTDIR)/$(DIR_LIBS) $(QUIET)

uninstall:
	$(E) "UNINSTALL\t $(DIR_LIBS)/$(RSBACLIB) \
	$(DIR_LIBS)/librsbac.so $(DIR_LIBS)/librsbac.a"
	$(LIBTOOL) --mode=uninstall rm \
	$(DESTDIR)/$(DIR_LIBS)/$(RSBACLIB) $(QUIET)


.PHONY: all clean distclean

=== main/nss/Makefile ===
#!/usr/bin/make -f
# Licensed under the terms of the GPLv2
# Guillaume Destuynder <kang@rsbac.org>

#
# Configuration

# See
# http://www.gnu.org/software/libtool/manual.html#Versioning
# For managing version information..
LIBVERSION	:= 2

INSTALL		:= install
LIBTOOL		:= libtool
CC		:= gcc

DESTDIR		:= 
PREFIX		:= /usr/local
DIR_NSS		:= $(PREFIX)/lib


CFLAGS		:= -O2 -fomit-frame-pointer
CFLAGS		+= -I../headers -I/usr/include -I/usr/local/include \
		   -I$(PREFIX)/include
LDFLAGS		:=

LIBS		:= -L../libs -L../libs/.libs -L$(PREFIX)/lib -lrsbac

FILES_NSS	:= $(wildcard *.c)

NSS_LIB		:= libnss_rsbac.la

QUIET		:= > /dev/null

DVERSION	:= 1.0.0

DPACKAGE	:= libnss-rsbac

DEFINES		:= -DPACKAGE_NAME=\"\" -DPACKAGE_TARNAME=\"\" -DPACKAGE_VERSION=\"\" -DPACKAGE_STRING=\"\" -DPACKAGE_BUGREPORT=\"\" -DPACKAGE=\"$(DPACKAGE)\" -DVERSION=\"$(DVERSION)\" -DSTDC_HEADERS=1 -DHAVE_SYS_TYPES_H=1 -DHAVE_SYS_STAT_H=1 -DHAVE_STDLIB_H=1 -DHAVE_STRING_H=1 -DHAVE_MEMORY_H=1 -DHAVE_STRINGS_H=1 -DHAVE_INTTYPES_H=1 -DHAVE_STDINT_H=1 -DHAVE_UNISTD_H=1 -DHAVE_UNISTD_H=1 -DHAVE_NSS_H=1 -DHAVE_LIBRSBAC=1 -DHAVE_DLFCN_H=1 -I. -I. -DLIBDIR=\"$(DIR_NSS)\" -DSYSCONFDIR=\"$(PREFIX)etc\" -D_GNU_SOURCE

#
# Nice make. Use make VERBOSE=1 to verbose compilation.
#
ifneq ($(VERBOSE), 1)
.SILENT:
E = @echo -e " "
else
QUIET = 
E = @:
endif

#
# Targets
#

all: $(NSS_LIB)

$(NSS_LIB): $(FILES_NSS)
	$(E) "CC\t\t$(FILES_NSS)"
	$(LIBTOOL) --mode=compile $(CC) $(CFLAGS) $(LDFLAGS) $(DEFINES) -c $< $(QUIET)
	$(E) "LD\t\t$(NSS_LIB)"
	$(LIBTOOL) --mode=link $(CC) $(CFLAGS) $(LDFLAGS) $(DEFINES) $(LIBS) \
	-o $@ $(FILES_NSS:.c=.lo) -rpath $(DIR_NSS) -version-info $(LIBVERSION) \
	$(QUIET)

clean:
	$(E) "CLEAN\t\tinterface.o"
	rm -f interface.o $(FILES_NSS:.c=.o)
	$(E) "CLEAN\t\tinterface.lo"
	rm -f interface.lo

distclean: clean
	$(E) "CLEAN\t\t$(NSS_LIB)"
	rm -f $(NSS_LIB)
	rm -f $(SNSS_LIB) libnss_rsbac.so libnss_rsbac.so.2
	$(E) "CLEAN\t\tlibtool files"
	rm -rf .libs .deps

install: $(NSS_LIB)
	$(E) "INTO\t\t$(DESTDIR) ($(PREFIX))"
	$(E) "DIR\t\t$(DIR_NSS)"
	$(INSTALL) -d $(DESTDIR)/$(DIR_NSS) $(QUIET)
	$(E) "INSTALL\t$(NSS_LIB)"
	$(LIBTOOL) --mode=install install -c $(NSS_LIB) \
	$(DESTDIR)/$(DIR_NSS)/$(NSS_LIB) $(QUIET)
	$(E) "INSTALL\t$(NSS_LIB)"
	$(LIBTOOL) -n --mode=finish $(DESTDIR)/$(DIR_NSS) $(QUIET)

uninstall:
	$(E) "UNINSTALL\t $(DIR_NSS)/$(NSS_LIB)"
	$(LIBTOOL) --mode=uninstall rm \
	$(DESTDIR)/$(DIR_NSS)/$(NSS_LIB) $(QUIET)


.PHONY: all clean distclean

=== main/pam/Makefile ===
#!/usr/bin/make -f
# Licensed under the terms of the GPLv2
# Guillaume Destuynder <kang@rsbac.org>

#
# Configuration
#

INSTALL		:= install
CC		:= gcc

DESTDIR		:= 
PREFIX		:= /usr/local
DIR_PAM		:= /lib/security


CFLAGS		:= -fPIC -O2 -fomit-frame-pointer
CFLAGS		+= -shared -I../headers -I/usr/include -I/usr/local/include \
		   -I$(PREFIX)/include
LDFLAGS		:=

LIBS		:= -L../libs/.libs -L$(PREFIX)/lib -lrsbac

FILES_PAM	:= $(wildcard *.c)

#
# Nice make. Use make VERBOSE=1 to verbose compilation.
#
ifneq ($(VERBOSE), 1)
.SILENT:
E = @echo -e " "
else
E = @:
endif

#
# Targets
#

all: $(FILES_PAM:.c=.so)
$(FILES_PAM:.c=.so): $(FILES_PAM)
	$(foreach f, $(FILES_PAM), echo -e "  LIB\t\t$(f)"; \
	$(CC) $(LDFLAGS) $(CFLAGS) $(LIBS) -o $(f:.c=.so) $(f);)
clean:
	$(E) "CLEAN\t\t$(FILES_PAM:.c=.so)"
	rm -f $(FILES_PAM:.c=.so)

distclean: clean
	
install: $(FILES_PAM:.c=.so)
	$(E) "INTO\t\t$(DESTDIR)"
	$(E) "DIR\t\t$(DIR_PAM)"
	$(INSTALL) -d $(DESTDIR)/$(DIR_PAM)
	$(E) "INSTALL\t$(FILES_PAM:.c=.so)"
	$(INSTALL) -m755 $(FILES_PAM:.c=.so) $(DESTDIR)/$(DIR_PAM)

uninstall:
	$(foreach f, $(FILES_PAM:.c=.so), echo -e "  UNINSTALL\t$(f)"; \
	rm -f $(DESTDIR)/$(DIR_PAM)/$(f);)


.PHONY: all clean distclean uninstall

=== main/rklogd/Makefile ===
#!/usr/bin/make -f
# Licensed under the terms of the GPLv2
# Guillaume Destuynder <kang@rsbac.org>

#
# Configuration
#

VERSION		:= 1.2
PACKAGE		:= rklogd
INSTALL		:= install
STRIP		:= strip
CC		:= gcc
GZIP		:= gzip

DESTDIR		:= 
PREFIX		:= /usr/local
LOCALEDIR	:= $(PREFIX)/share/locale
DIR_BIN		:= $(PREFIX)/bin
DIR_SBIN	:= $(PREFIX)/sbin
DIR_MAN		:= $(PREFIX)/share/man/man8


CFLAGS		:= -fPIC -O2 -fomit-frame-pointer
CFLAGS		+= -Isrc -I. -I../headers -I/usr/include -I/usr/local/include \
		   -I$(PREFIX)/include
LDFLAGS		:=

DEFINES		:= -DVERSION=\"$(VERSION)\" \
		   -DLOCALEDIR=\"$(LOCALEDIR)\" \
		   -DPACKAGE=\"$(PACKAGE)\"

LIBS		:= -L../libs/.libs -L$(PREFIX)/lib -lrsbac

FILES_RKLOGD	:= $(wildcard src/*.c)
FILES_RKLOGDV	:= $(wildcard viewer/*.c)
FILES_MAN	:= $(wildcard man/*.8)

#
# Nice make. Use make VERBOSE=1 to verbose compilation.
#
ifneq ($(VERBOSE), 1)
.SILENT:
E = @echo -e " "
else
E = @:
endif

#
# Targets
#

all: rklogd rklogd-viewer

rklogd: $(FILES_RKLOGD:.c=.o)
	$(E) "CC\t\t$@"
	$(CC) $(CFLAGS) $(LDFLAGS) $(DEFINES) $(LIBS)  $(FILES_RKLOGD:.c=.o) -o $@

$(FILES_RKLOGD:.c=): $(FILES_RKLOGD)
	$(E) "CC\t\t$@"
	$(CC) $(CFLAGS) $(LDFLAGS) $(DEFINES) -c $@.c -o $@.o

rklogd-viewer: $(FILES_RKLOGDV:.c=.o)
	$(E) "CC\t\t$@"
	$(CC) $(CFLAGS) $(LDFLAGS) $(DEFINES) $(LIBS) -lncurses  $(FILES_RKLOGDV:.c=.o) -o $@

$(FILES_RKLOGDV:.c=): $(FILES_RKLOGDV)
	$(E) "CC\t\t$@"
	$(CC) $(CFLAGS) $(LDFLAGS) $(DEFINES) -c $@.c -o $@.o
	
clean:
	$(E) "CLEAN\t\t$(FILES_RKLOGD:.c=.o)"
	rm -f $(FILES_RKLOGD:.c=.o)
	$(E) "CLEAN\t\t$(FILES_RKLOGDV:.c=.o)"
	rm -f $(FILES_RKLOGDV:.c=.o)

distclean: clean
	$(E) "CLEAN\t\trklogd"
	rm -f rklogd
	$(E) "CLEAN\t\trklogd-viewer"
	rm -f rklogd-viewer
	$(E) "CLEAN\t\t$(FILES_MAN:.8=.8.gz)"
	rm -f $(FILES_MAN:.8=.8.gz)
	
install: all
	$(E) "INTO\t\t$(DESTDIR) ($(PREFIX))"
	$(E) "DIR\t\t$(DIR_SBIN) $(DIR_BIN) $(DIR_MAN)"
	$(INSTALL) -d $(DESTDIR)/$(DIR_SBIN) $(DESTDIR)/$(DIR_BIN) $(DESTDIR)/$(DIR_MAN)
	$(E) "INSTALL\trklogd"
	$(INSTALL) -m755 rklogd $(DESTDIR)/$(DIR_SBIN)
	$(E) "INSTALL\trklogd-viewer"
	$(INSTALL) -m755 rklogd-viewer $(DESTDIR)/$(DIR_BIN)
	$(foreach f, $(FILES_MAN), echo -e "  GZIP\t\t$(f)"; \
	$(GZIP) -9c $(f) > $(f:.8=.8.gz);)
	$(foreach f, $(FILES_MAN), echo -e "  INSTALL\t$(f:.8=.8.gz)"; \
	$(INSTALL) -m664 $(f:.8=.8.gz) $(DESTDIR)/$(DIR_MAN);)

install-strip: install
	$(E) "STRIP\t\trklogd rklogd-viewer"
	$(STRIP) -s $(DESTDIR)/$(DIR_SBIN)/rklogd $(DESTDIR)/$(DIR_BIN)/rklogd-viewer

uninstall:
	$(E) "UNINSTALL\trklogd"
	rm -f $(DESTDIR)/$(DIR_SBIN)/rklogd
	$(E) "UNINSTALL\trklogd-viewer"
	rm -f $(DESTDIR)/$(DIR_BIN)/rklogd-viewer
	$(foreach f, $(FILES_MAN), echo -e "  UINSTALL\t$(f:.8=.8.gz)"; \
	rm -f $(DESTDIR)/$(DIR_MAN)/$(f:.8=.8.gz);)


.PHONY: all install uninstall clean distclean

=== main/tools/Makefile ===
#!/usr/bin/make -f
# Licensed under the terms of the GPLv2
# Guillaume Destuynder <kang@rsbac.org>

#
# Configuration
#

VERSION		:= 1.3.1
PACKAGE		:= rsbac-tools

INSTALL		:= install
MSGFMT		:= msgfmt
STRIP		:= strip
CC		:= gcc
GZIP		:= gzip
CP		:= cp

DESTDIR		:= 
PREFIX		:= /usr/local
LOCALEDIR	:= $(PREFIX)/share/locale
DIR_PO		:= de ru fr
DIR_DOC		:= $(PREFIX)/share/doc/$(PACKAGE)-$(VERSION)
DIR_MAN		:= $(PREFIX)/share/man/man1
DIR_BIN		:= $(PREFIX)/bin

NLS		:= 1

CFLAGS		:= -fPIC -O2 -fomit-frame-pointer
CFLAGS		+= -Isrc -I../headers -I/usr/include -I/usr/local/include \
		   -I$(PREFIX)/include
LDFLAGS		:=
DEFINES		:= -DPACKAGE=\"$(PACKAGE)\" \
                   -DVERSION=\"$(VERSION)\" \
		   -DLOCALEDIR=\"$(LOCALEDIR)\" \
		   -DENABLE_NLS=$(NLS)

LIBS		:= -L../libs/.libs -L$(PREFIX)/lib -lrsbac

QUIET		:=  > /dev/null 2>&1

include module.mk

FILES_MAN	:= $(wildcard man/*1)
FILES_PO	:= $(wildcard po/*.po)
DIR_EXAMPLE	:= examples
#
# Nice make. Use make VERBOSE=1 to verbose compilation.
#
ifneq ($(VERBOSE), 1)
.SILENT:
E = @echo -e " "
else
QUIET =
E = @:
endif

#
# Targets
#

all: $(FILES_TOOLS:.c=) $(FILES_PO:.po=.mo)

$(FILES_TOOLS:.c=): % : %.c
	$(E) "CC\t\t$@"
	$(CC) $(CFLAGS) $(LDFLAGS) $(DEFINES) $(LIBS) $@.c -o $@

$(FILES_PO:.po=.mo): $(FILES_PO)
ifeq ($(NLS), 1)
	$(foreach f, $(FILES_PO), echo -e "  PO\t\t$(f)"; \
	$(MSGFMT) -o $(f:.po=.mo) $(f);)
else
	@touch $@
endif

clean:
	$(foreach f, $(FILES_TOOLS:.c=), echo -e "  CLEAN\t\t$(f)"; \
	rm -f $(f);)
	$(E) "CLEAN\t\t$(FILES_PO:.po=.mo)"
	rm -f $(FILES_PO:.po=.mo)

distclean: clean
	$(E) "CLEAN\t\t$(FILES_PO:.po=.po~)"
	rm -f $(FILES_PO:.po=.po~)
	$(E) "CLEAN\t\t$(FILES_MAN:.1=.1.gz)"
	rm -f $(FILES_MAN:.1=.1.gz)
	
install: all
	$(E) "INTO\t\t$(DESTDIR) ($(PREFIX))"
	$(E) "DIR\t\t$(DIR_BIN) $(DIR_MAN) $(DIR_DOC)"
	$(INSTALL) -d $(DESTDIR)/$(DIR_BIN) $(DESTDIR)/$(DIR_MAN) $(DESTDIR)/$(DIR_DOC)
ifeq ($(NLS), 1)
	$(E) "DIR\t\t$(LOCALEDIR)"
	$(foreach f, $(DIR_PO), $(INSTALL) -d $(DESTDIR)/$(LOCALEDIR)/$(f)/LC_MESSAGES; \
        $(INSTALL) -d $(DESTDIR)/$(LOCALEDIR)/$(f)/LC_TIME;)
	$(E) "INSTALL\t$(DIR_PO)"
	$(foreach f, $(DIR_PO), \
	$(INSTALL) -m644 po/$(f).mo \
	$(DESTDIR)/$(LOCALEDIR)/$(f)/LC_MESSAGES/$(PACKAGE).mo; \
	$(INSTALL) -m644 po/$(f).mo \
	$(DESTDIR)/$(LOCALEDIR)/$(f)/LC_MESSAGES/$(PACKAGE)-$(VERSION).mo;)
endif
	$(foreach f, $(PROGS_BIN), echo -e "  INSTALL\t$(f)"; \
	$(INSTALL) -m755 $(f) $(DESTDIR)/$(DIR_BIN);)
	$(foreach f, $(FILES_MAN), echo -e "  GZIP\t\t$(f)"; \
	$(GZIP) -9c $(f) > $(f:.1=.1.gz);)
	$(foreach f, $(FILES_MAN:.1=.1.gz), echo -e "  INSTALL\t$(f)"; \
	$(INSTALL) -m 644 $(f) $(DESTDIR)/$(DIR_MAN);)
	$(E) "INSTALL\t\tAUTHORS INSTALL README COPYING Changes"
	$(INSTALL) -m644 AUTHORS INSTALL README COPYING Changes $(DESTDIR)/$(DIR_DOC)
	$(E) "INSTALL\t\t $(DIR_EXAMPLE)"
	$(CP) -r $(DIR_EXAMPLE) $(DESTDIR)/$(DIR_DOC)

install-strip: install
	$(foreach f,  $(subst scripts/,,$(subst src/,,$(PROGRAMS))), echo -e "  STRIP\t\t$(f)"; \
	$(STRIP) -s $(DESTDIR)/$(DIR_BIN)/$(f);)
	
uninstall:
ifeq ($(NLS), 1)
	$(foreach f, $(DIR_PO), echo -e "  UNINSTALL\t$(f)"; rm -f po/$(f).mo \
	$(DESTDIR)/$(LOCALEDIR)/$(f)/LC_MESSAGES/$(PACKAGE).mo;)
endif
	$(foreach f, $(subst scripts/,,$(subst src/,,$(PROGS_BIN))), echo -e "  UNINSTALL\t$(f)"; \
	rm -f $(DESTDIR)/$(DIR_BIN)/$(f);)
	$(E) "UNINSTALL\t$(FILES_MAN)"
	rm -f $(DESTDIR)/$(DIR_MAN)/$(FILES_MAN)


#
# gettext translation stuff
#

# Re-create the messages.po file
nls-messages:
	$(E) "XGETTEXT\t\tGenerating po/messages.tpo"
	xgettext -p po -o messages.tpo src/*.c

# Merges translations
nls-merge-keep: $(FILES_PO)
	$(foreach f, $(FILES_PO), echo -e "  MSGMERGE\t\tMerging $(f)"; \
	msgmerge -o $(f).new $(f) po/messages.tpo $(QUIET);)
	$(E) "MSGMERGE\t\tGenerated: $(FILES_PO:.po=.po.new)"

nls-merge-update: $(FILES_PO)
	$(foreach f, $(FILES_PO), echo -e "  MSGMERGE\t\tMerging $(f)"; \
	msgmerge -U $(f) po/messages.tpo $(QUIET);)
	$(E) "MSGMERGE\t\tUpdated: $(FILES_PO)"


.PHONY: all clean distclean uninstall install nls-messages

=== debian/changelog ===
rsbac-admin (1.3.1-0) unstable; urgency=low

  * Bump to 1.3.1

 -- Guillaume Destuynder <kang@rsbac.org> Tue, 9 Jan 2007 11:00:00 +0100

rsbac-admin (1.3.0-4) unstable; urgency=low

  * Bump to 1.3.0

 -- Guillaume Destuynder <kang@rsbac.org>  Mon, 7 Oct 2006 16:16:00 +0100

rsbac-admin (1.3.0-3) unstable; urgency=low

  * Bump to 1.3.0rc1

 -- Guillaume Destuynder <kang@rsbac.org>  Thu, 11 Sep 2006 13:52:00 +0100

rsbac-admin (1.3.0-2) unstable; urgency=low

  * Bump to 1.3.0pre2, restarted from 1.2.7 with backports

 -- Amon Ott <ao@rsbac.org>  Fri, 09 Jun 2006 14:16:00 +0200

rsbac-admin (1.3.0-1) unstable; urgency=low

  * Bump to 1.3.0pre1 with 1.2 fixes

 -- Guillaume Destuynder <kang@rsbac.org>  Thu, 22 Feb 2005 11:49:00 +0100

rsbac-admin (1.2.5-4) stable; urgency=low

  * Lintianization. Thanks to rtp from Mandriva.

 -- Guillaume Destuynder <kang@rsbac.org>  Thu, 27 Oct 2005 10:06:00 +0100

rsbac-admin (1.2.5-3) stable; urgency=low

  * Updated version to v1.2.5

 -- Amon Ott <ao@rsbac.org>  Thu, 22 Sep 2005 11:24:26 +0100

rsbac-admin (1.2.5-2) unstable; urgency=low

  * Updated version to v1.2.5-rc2
  * Changed to new build system

 -- Amon Ott <ao@rsbac.org>  Thu, 25 Aug 2005 16:21:26 +0100

rsbac-admin (1.2.5-1) unstable; urgency=low

  * Updated version to v1.2.5-pre2

 -- Amon Ott <ao@rsbac.org>  Sat, 11 Jun 2005 12:29:26 +0100

  * Split the shared library into a package of its own (librsbac1)

 -- Peter Busser <peter@adamantix.org>  Thu, 03 Feb 2005 15:38:26 +0100

rsbac-admin (1.2.3-4) testing; urgency=low

  * Added bugfix 5, which enables PaX support for the command line tools.

 -- Peter Busser <peter@adamantix.org>  Wed, 29 Sep 2004 10:34:20 +0200

rsbac-admin (1.2.3-3) unstable; urgency=low

  * Added DAZ to RSBACMOD in rsbac.conf

 -- Peter Busser <peter@adamantix.org>  Sun, 29 Aug 2004 19:12:55 +0200

rsbac-admin (1.2.3-2) unstable; urgency=low

  * Added librsbac.so to rsbac-admin, otherwise the binaries will not work.

 -- Peter Busser <peter@adamantix.org>  Thu, 26 Aug 2004 11:54:00 +0200

rsbac-admin (1.2.3-1) unstable; urgency=low

  * New upstream release.
  * Fixed the so account creation in rsbac-admin.postinst
  * Changed the /home/so path to /so.
  * Removed setting of AUTH CAP 400 on rklogd, this should be part of a
    security policy.

 -- Peter Busser <peter@adamantix.org>  Tue, 24 Aug 2004 17:21:30 +0200

rsbac-admin (1.2.2-7) unstable; urgency=low

  * Cleaned up rklogd code

 -- Peter Busser <peter@trusteddebian.org>  Mon, 28 Apr 2003 12:40:50 +0200

rsbac-admin (1.2.2-6) unstable; urgency=low

  * Fixed postinst/postrm not being installed problem
  * Added setting of CAP 400 on rklogd in postinst
  * Added examples/* to rsbac-doc
  * Added rsbac-admin to rsbac-klogd dependencies
  * Removed creation of /home/so from rsbac-klogd postinst

 -- Peter Busser <peter@trusteddebian.org>  Sun, 27 Apr 2003 22:33:52 +0200

rsbac-admin (1.2.2-5) stable; urgency=low

  * Added rsbac-dev, rsbac-doc and rsbac-rklogd packages

 -- Peter Busser <peter@trusteddebian.org>  Fri, 11 Apr 2003 16:20:04 +0200

rsbac-admin (1.2.2-4) unstable; urgency=low

  * Added rsbac.conf

 -- Peter Busser <peter@trusteddebian.org>  Mon,  7 Apr 2003 17:11:16 +0200

rsbac-admin (1.2.2-3) unstable; urgency=low

  * Added two patches to fix some backup problems

 -- Peter Busser <peter@trusteddebian.org>  Mon,  7 Apr 2003 14:27:17 +0200

rsbac-admin (1.2.2-2) unstable; urgency=low

  * Upgrade to v1.2.2-pre3, to accompany the kernel patch upgrade

 -- Peter Busser <peter@trusteddebian.org>  Mon,  7 Apr 2003 12:19:32 +0200

rsbac-admin (1.2.2-1) unstable; urgency=low

  * Upgrade to v1.2.2-pre3, to accompany the kernel patch upgrade
  * Compiled using the IBM stack smashing protector

 -- Peter Busser <peter@trusteddebian.org>  Tue, 11 Mar 2003 14:05:27 +0100

rsbac-admin (1.2.1-2) unstable; urgency=low

  * Added RSBAC v1.2.1 bugfix nr. 4

 -- Peter Busser <peter@trusteddebian.org>  Thu, 23 Jan 2003 14:12:49 +0100

rsbac-admin (1.2.1-1) unstable; urgency=low

  * Initial Release.

 -- Peter Busser <peter@trusteddebian.org>  Fri, 15 Nov 2002 18:40:29 +0100

=== debian/control ===
Source: rsbac-admin
Section: admin
Priority: optional
Maintainer: Amon Ott <ao@m-privacy.de>
Build-Depends: debhelper (>= 4.0.0), libpam-dev, libncurses5-dev, linux-kernel-headers, libtool
Standards-Version: 3.6.1

Package: rsbac-admin
Architecture: any
Depends: ${shlibs:Depends}, dialog, less, librsbac1
Description: Rule Set Based Access Control administrative utilities
 RSBAC (Rule Set Based Access Control) is a kernel patch which adds several
 mandatory access models to the Linux kernel. These models can be used to
 enhance the security of a Linux system.
 .
 The rsbac-admin utilities provide a
 way to set security properties for these modules. You need these utilities
 to be able to use these advanced security functions.

Package: librsbac1
Architecture: any
Depends: ${shlibs:Depends}
Description: Rule Set Based Access Control administrative utilities
 RSBAC (Rule Set Based Access Control) is a kernel patch which adds several
 mandatory access models to the Linux kernel. These models can be used to
 enhance the security of a Linux system.
 .
 This package contains the runtime shared library, used by all programs which
 interact with the RSBAC kernel code in one way or another.

Package: rsbac-dev
Architecture: any
Depends: librsbac1, libc6-dev, linux-kernel-headers
Description: RSBAC development library
 RSBAC (Rule Set Based Access Control) is a kernel patch which adds several
 mandatory access models to the Linux kernel. These models can be used to
 enhance the security of a Linux system.
 .
 This package contains the library you need to develop programs for RSBAC.

Package: rsbac-klogd
Architecture: any
Depends: ${shlibs:Depends}, librsbac1
Description: RSBAC messages logger
 RSBAC (Rule Set Based Access Control) is a kernel patch which adds several
 mandatory access models to the Linux kernel. These models can be used to
 enhance the security of a Linux system.
 .
 This package contains the RSBAC messages logger

Package: rsbac-pam
Architecture: any
Depends: ${shlibs:Depends}, librsbac1
Description: RSBAC PAM module
 RSBAC (Rule Set Based Access Control) is a kernel patch which adds several
 mandatory access models to the Linux kernel. These models can be used to
 enhance the security of a Linux system.
 .
 This package contains the RSBAC PAM module to use RSBAC User Management.

Package: libnss-rsbac2
Architecture: any
Depends: ${shlibs:Depends}, librsbac1
Description: RSBAC NSS module
 RSBAC (Rule Set Based Access Control) is a kernel patch which adds several
 mandatory access models to the Linux kernel. These models can be used to
 enhance the security of a Linux system.
 .
 This package contains the RSBAC NSS module to use RSBAC User Management.

Package: rsbac-doc
Architecture: all
Description: RSBAC documentation
 RSBAC (Rule Set Based Access Control) is a kernel patch which adds several
 mandatory access models to the Linux kernel. These models can be used to
 enhance the security of a Linux system.
 .
 This package contains RSBAC documentation

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
#
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.
#
# Modified to make a template file for a multi-binary package with separated
# build-arch and build-indep targets  by Bill Allombert 2001

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS
export DH_COMPAT=4


CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	touch configure-stamp


#Architecture 
build: build-arch build-indep

build-arch: build-arch-stamp
build-arch-stamp: configure-stamp 
	$(MAKE) PREFIX=/usr DIR_PAM=/lib/security build
	touch build-arch-stamp

build-indep: build-indep-stamp
build-indep-stamp: configure-stamp 

	# Add here commands to compile the indep part of the package.
	#$(MAKE) doc
	touch build-indep-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-arch-stamp build-indep-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) distclean

	dh_clean 

install: install-indep install-arch
install-indep:
	dh_testdir
	dh_testroot
	dh_clean -k -i 
	dh_installdirs -i

	# Add here commands to install the indep part of the package into
	# debian/<package>-doc.
	#INSTALLDOC#

	dh_install -i

install-arch:
	dh_testdir
	dh_testroot
	dh_clean -k -s 
	dh_installdirs -s

	$(MAKE) install PREFIX=/usr DESTDIR=$(CURDIR)/debian/tmp PAM_DIR=/lib/security
	
	mkdir -p $(CURDIR)/debian/tmp/etc
	install -m 644 debian/rsbac.conf $(CURDIR)/debian/tmp/etc
	
	dh_movefiles --sourcedir=debian/tmp


# Must not depend on anything. This is to be called by
# binary-arch/binary-indep
# in another 'make' thread.
binary-common:
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate	
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
	dh_installinit --no-start --name=rklogd
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress 
	dh_fixperms
#	dh_perl
#	dh_python
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb
# Build architecture independant packages using the common target.
binary-indep: build-indep install-indep
	$(MAKE) -f debian/rules DH_OPTIONS=-i binary-common

# Build architecture dependant packages using the common target.
binary-arch: build-arch install-arch
	$(MAKE) -f debian/rules DH_OPTIONS=-a binary-common

binary: binary-arch binary-indep
.PHONY: build clean binary-indep binary-arch binary install install-indep install-arch configure
